Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	A barcode and label printing application for KDE.
Name:      	kbarcode
Version:   	2.0.7
Release:   	3
License: 	GNU/GPL
URL: 		http://www.kbarcode.net
Group:    	Multimedia/Graphics
Source0: 	kbarcode-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	barcode
BuildRequires: 	barcode-devel
BuildRequires:  kdelibs3-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  fam-devel
BuildRequires:  libidn-devel
BuildRequires:  pcre-devel
BuildRequires:  libpng-devel
BuildRequires:  qt3-devel
BuildRequires:  libstdc++-devel
BuildRequires:  zlib-devel

Buildconflicts:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
KBarcode is a barcode and label printing application for Linux and KDE 3.
It can be used to print every thing from simple business cards up to
complex labels with several barcodes (e.g. article descriptions). KBarcode
comes with an easy to use WYSIWYG label designer, a setup wizard, batch
import of labels (directly from the delivery note), thousands of predefined
labels, database managment tools and translations in many languages.

Even printing more than 10.000 labels in one go is no problem for KBarcode.
Additionally it is a simply xbarcode replacement for the creation of barcodes.
All major types of barcodes like EAN, UPC, CODE39 and ISBN are supported.

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%prep
%setup -n %{name}-%{version}

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
--with-qt-dir=/usr/lib/qt-3.3 \
--with-qt-includes=/usr/lib/qt-3.3/include \
--with-qt-libs=/usr/lib/qt-3.3/lib
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR="$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 01 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.7-3
- rebuild against kdelibs3 , kdebase3 renamed packages
* Tue May 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.7-2
- rebuild against xorg-apps
* Tue May 27 2008 Christian Wasem <wasem@ccux-linux.de> 2.0.7-1
- Version update
* Sun Oct 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0.6-1
- Version update
* Thu Nov 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.5-1
- Version update
* Wed Oct 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.0.4-1
- Version update
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 2.0.0-1
- Version update
* Sat Jan 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.9.9-1
- Version update
* Sun May 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.9.6-1
- Version update to 1.9.6
* Fri Nov 05 2004 Christian Metzen <metzench@ccux-linux.de> 1.9.2-1
- Initial Release
